Bug 229455 - cannot open spreadsheet files
cannot open spreadsheet files
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Bastien Nocera
Depends On:
  Show dependency treegraph
Reported: 2007-02-21 04:36 EST by Marius Andreiana
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-21 12:21:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
open document spreadsheet (5.98 KB, application/octet-stream)
2007-02-21 08:38 EST, Marius Andreiana
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 138033 None None None Never

  None (edit)
Description Marius Andreiana 2007-02-21 04:36:55 EST
Description of problem:
install Sun Java SE 6.0 rpm
nautilus will see .ods as application/x-java-archive

Opening it:
The filename "file.ods" indicates that this file is of type "ODS spreadsheet".
The contents of the file indicate that the file is of type "Java Archive". If
you open this file, the file might present a security risk to your system.

Do not open the file unless you created the file yourself, or received the file
from a trusted source. To open the file, rename the file to the correct
extension for "Java Archive", then open the file normally. Alternatively, use
the Open With menu to choose a specific application for the file. 

Only available option: cancel

The general issue is upstream unsolved since 2004-03-25
Comment 1 Bastien Nocera 2007-02-21 06:12:33 EST
Where could I get a .ods file to test with?
Comment 2 Marius Andreiana 2007-02-21 08:38:10 EST
Created attachment 148476 [details]
open document spreadsheet
Comment 3 Marius Andreiana 2007-02-21 08:38:37 EST
Start OpenOffice Spreadsheet, type something, save.
I've attached one for your convenience :)
Comment 4 Bastien Nocera 2007-02-21 09:56:29 EST
(In reply to comment #0)
> Description of problem:
> install Sun Java SE 6.0 rpm

I missed that bit. Does this package include some xml files in
/usr/share/mime/packages/ ?

If so, then it's probably breaking the association used in shared-mime-info.

> nautilus will see .ods as application/x-java-archive
Comment 5 Marius Andreiana 2007-02-21 12:12:20 EST
Yes it does:
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-java-archive">
     <glob pattern="*.jar"/>
    <magic priority="85">
      <match type="string" value="PK\003\004" offset="0">
        match type="host16" value="0xcafe" offset="40" />

However, the point remains that with Java installed, documents cannot be opened
anymore. The Nautilus dialog should be the above warning + buttons:
[Open with OpenOffice] [Open with java] [Do not open]

Comment 6 Bastien Nocera 2007-02-21 12:21:47 EST
And I believe the problem lies with the mime-info provided by the Java SDK.
See http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6510610

Note You need to log in before you can comment on or make changes to this bug.